## NMDeviceGeneric NMDeviceGeneric |

## Synopsis

    #define             NM_DEVICE_GENERIC_HW_ADDRESS
    #define             NM_DEVICE_GENERIC_TYPE_DESCRIPTION
    struct              NMDeviceGeneric;
                        NMDeviceGenericClass;
    const char *        nm_device_generic_get_hw_address    (NMDeviceGeneric *device);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDevice
                   +----NMDeviceGeneric

## Implemented Interfaces

NMDeviceGeneric implements GInitable and GAsyncInitable.

## Properties

      "hw-address"               gchar*                : Read
      "type-description"         gchar*                : Read

## Description

## Details

### NM_DEVICE_GENERIC_HW_ADDRESS

    #define NM_DEVICE_GENERIC_HW_ADDRESS       "hw-address"

### NM_DEVICE_GENERIC_TYPE_DESCRIPTION

    #define NM_DEVICE_GENERIC_TYPE_DESCRIPTION "type-description"

### struct NMDeviceGeneric

    struct NMDeviceGeneric;

### NMDeviceGenericClass

    typedef struct {
    	NMDeviceClass parent;
    } NMDeviceGenericClass;

### nm_device_generic_get_hw_address ()

    const char *        nm_device_generic_get_hw_address    (NMDeviceGeneric *device);

Gets the hardware address of the NMDeviceGeneric

`device` : | a NMDeviceGeneric
Returns : | the hardware address. This is the internal string used by the device, and must not be modified.

## Property Details

### The `"hw-address"` property

      "hw-address"               gchar*                : Read

The hardware address of the device.

Default value: NULL

### The `"type-description"` property

      "type-description"         gchar*                : Read

A description of the specific type of device this is, or `NULL` if not known.

Default value: NULL